/******************************************************************************
 *                                                                            *
 * File:   mbrwrite.c         Version  1.01            Date: 1998-11-08       *
 *                                                                            *
 * Copyright (C) 1998 by Kostis Netzwerkberatung                              *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058            *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 * You may use this software free of charge at your own risk.                 *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * Function:                                                                  *
 *     - write mbr from disk file                                             *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * Parameters:                                                                *
 *     - file which contains mbr to be written                                *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1998-11-08: KK V1.01                                                   *
 *        - initial coding                                                    *
 *                                                                            *
 *****************************************************************************/

#include <stdio.h>
#include <bios.h>

#define	SECTSIZE	512
#define	DRIVE_C		0x80

typedef	unsigned char	uchar ;

void	main 
(
	int	argc,
	char	*argv	[]
)
{
	uchar	buffer	[SECTSIZE] ;
	FILE	*Fin ;

	if (argc != 2)
	{
		fprintf (stderr, "Syntax: %s filename\n", argv [0]) ;
		return ;
	}

	Fin = fopen (argv [1], "rb") ;
	if (Fin == (FILE *) NULL)
	{
		fprintf (stderr, "%s: unable to open file %s\n",
			argv [0], argv [1]) ;
		return ;
	}

	fread (buffer, SECTSIZE, 1, Fin) ;
	fclose (Fin) ;
	biosdisk (_DISK_WRITE, DRIVE_C, 0, 0, 1, 1, buffer) ;
}
